<?php
class wpcmnt_textsetting_func
{
	var $pref;
	function __construct()
	{
		$this->pref=$GLOBALS['cmntmkrpref'];
	}
	function loadPage()
	{
		self::saveSettings();
		require_once('textsetting.php');
	}
	function saveSettings()
	{
		if(isset($_POST['savecommenttextsettings']))
		{
		$pref=$this->pref;
		//echo "<script>alert('".$pref."')</script>";
		update_option($pref.'all_comments',$_POST['wqaallcomments']);
		update_option($pref.'comment_vars',stripcslashes($_POST['cmntmkrpostvar']));
		
		if(isset($_POST['cmntmkrturnontranslation']))
		{
		update_option($pref.'translation-on','1');
		}
		else
		{
		update_option($pref.'translation-on','0');
		}
		update_option($pref.'translate-from',$_POST['cmntfromlanguage']);
		update_option($pref.'translate-to',$_POST['cmnttolanguage']);
		
		
		}
	}
	function arrangeComment()
	{
		$pref=$this->pref;
		$comments=get_option($pref.'all_comments');
		$vars=rtrim(get_option($pref.'comment_vars'),'@cmntbrk@');
		$varsjsnarr=explode('@cmntbrk@',$vars);
		$tempjsnarr=array();
		foreach($varsjsnarr as $data)
		{
		$jsn=json_decode($data);	
		$tempjsnarr=array_merge($tempjsnarr,array('{'.$jsn->name.'}'=>$jsn->val));	
		}
		
		$vararr=$tempjsnarr;
		
		$count=0;
		
		foreach($vararr as $index=>$data)
		{
			
			$tempcomments="";
			if(strpos($comments,$index)!==false)
			{
				$vals=explode(',',trim($data,','));
				$replaced=0;
				foreach($vals as $val)
				{
				++$count;	
				++$replaced;
				$tempcomments .=str_replace($index,$val,$comments);
				$tempcomments .='@wpcmntbrk@';
				}
				
				if($replaced>0){$comments=$tempcomments;}
				
			}
		}
		
		$arr=array_unique(explode('@wpcmntbrk@',$comments));
		unset($arr[count($arr)-1]);
		
		shuffle($arr);
		//print_r($arr);
		return $arr;
		
	}
	
	function languageSelect($id,$name)
	{
	    return 	'<select id="'.$id.'" name="'.$name.'" class="form-control">
<option value="0" selected="">Select Language</option><option value="af">Afrikaans</option><option value="sq">Albanian</option><option value="ar">Arabic</option><option value="hy">Armenian</option><option value="be">Belarusian</option><option value="bg">Bulgarian</option><option value="ca">Catalan</option><option value="zh-CN">Chinese</option><option value="hr">Croatian</option><option value="cs">Czech</option><option value="da">Danish</option><option value="nl">Dutch</option><option value="en">English</option><option value="et">Estonian</option><option value="tl">Filipino</option><option value="fi">Finnish</option><option value="fr">French</option><option value="gl">Galician</option><option value="de">German</option><option value="el">Greek</option><option value="iw">Hebrew</option><option value="hi">Hindi</option><option value="hu">Hungarian</option><option value="is">Icelandic</option><option value="id">Indonesian</option><option value="ga">Irish</option><option value="it">Italian</option><option value="ja">Japanese</option><option value="ko">Korean</option><option value="lv">Latvian</option><option value="lt">Lithuanian</option><option value="no">Norwegian</option><option value="mk">Macedonian</option><option value="ms">Malay</option><option value="mt">Maltese</option><option value="fa">Persian</option><option value="pl">Polish</option><option value="pt">Portuguese</option><option value="ro">Romanian</option><option value="ru">Russian</option><option value="sr">Serbian</option><option value="sk">Slovak</option><option value="sl">Slovenian</option><option value="es">Spanish</option><option value="sw">Swahili</option><option value="sv">Swedish</option><option value="th">Thai</option><option value="tr">Turkish</option><option value="uk">Ukrainian</option><option value="vi">Vietnamese</option><option value="cy">Welsh</option><option value="yi">Yiddish</option></select>';
	}

function preCutter($tag)
{//pre tag cutter
if(substr($tag,0,5)=="<pre>" && substr($tag,-6,6)=="</pre>")
{
	$str=substr($tag,5,strlen($tag)-11);
	return $str;
}
return $tag;
}
	
function translateComment($text)
{
	$pref=$this->pref;
	if((get_option($pref.'translation-on')=='1')&&(strlen(get_option($pref.'translate-from'))>0)&&
		(strlen(get_option($pref.'translate-to'))>0))
	{
		require_once("translate/translate.php");
		$ob=new GoogleTranslatorForCmntMkr();
		$text=$ob->translateText($text, get_option($pref.'translate-from') ,get_option($pref.'translate-to'));
		return self::preCutter($text);
	}
	else
	{
		return $text;
	}
}
}

?>