<?php
/*
Plugin Name: WP Comment Maker
Author: Teknikforce
AUTHOR URI: https://teknikforce.com/
Description: Generate traffic for any website using comments on blogs.
Version:1.0
*/
$cmntmkrpref='wpcmnt_';
require_once('commentmaker/controller.php');
class wpcmnt_index extends wpcmnt_controller
{
	function __construct()
	{   
	    register_activation_hook(__FILE__,array($this,'pluginInstall'));
		
		add_action('admin_menu',array($this,'addMenuSubMenuPage'));
		
		add_action('admin_enqueue_scripts',array($this,'loadJsandStyles'));
		add_action('wp_enqueue_scripts',array($this,'loadUserSightScripts'));
		add_action('admin_footer',array($this,'cmntFooterScriptAction'));
		$this->assignPoststoCommentaction();
		$this->actionToRunAutoCommentInit();
	}
	
	function pluginInstall()
	{//plugin installation
	    require_once('commentmaker/installation.php');
		$ob=new Wpcmntmkr_installation();
	}
	
	
	function loadJsandStyles()
	{//load admin style and js
		require_once('assets/scriptandstyles.php');
		$ob=new wpcmntcommonadminscripts();
		$ob->adminScriptLibrary();
	}
	function loadUserSightScripts()
	{
		//load user sight script
		require_once('assets/scriptandstyles.php');
		$ob=new wpcmntcommonadminscripts();
		$ob->cmntUserSightScript();
	}
	function cmntFooterScriptAction()
	{
		require_once('assets/scriptandstyles.php');
		$ob=new wpcmntcommonadminscripts();
		$ob->cmntWpFooterScripts();
	}
}
$wpcmntindex=new wpcmnt_index();
?>